Update country
curl --request PUT \
--url https://api.example.com/v1/countries/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"iso_alpha2": "<string>",
"iso_alpha3": "<string>",
"iso_numeric": "<string>",
"iban_length": 123,
"currency_code": "<string>",
"active": true,
"metadata": {}
}
'import requests
url = "https://api.example.com/v1/countries/{id}"
payload = {
"name": "<string>",
"iso_alpha2": "<string>",
"iso_alpha3": "<string>",
"iso_numeric": "<string>",
"iban_length": 123,
"currency_code": "<string>",
"active": True,
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
iso_alpha2: '<string>',
iso_alpha3: '<string>',
iso_numeric: '<string>',
iban_length: 123,
currency_code: '<string>',
active: true,
metadata: {}
})
};
fetch('https://api.example.com/v1/countries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Management
Update country
PUT
/
v1
/
countries
/
{id}
Update country
Path Parameters
Body
application/json
Response
200
Country updated successfully
⌘I